# Cookbook

## Basic Video Creation

- [Basic Video Creation](basic-video.md): Simple example of creating a video with background and text
- [Photo Slideshow](slide-show.md): Create an animated slideshow with multiple images and music
- [Video from Article](video-from-article.md): Generate a news video from article text using AI

## Asset Management

- [Adding Images](adding-images.md): Load and manipulate image assets with effects and positioning
- [Adding Audio](adding-audio.md): Work with audio tracks including mixing and volume control
- [Adding Subtitles](adding-subtitles.md): Add synchronized subtitles with custom styling

## Advanced Scene Composition

- [Multilayer Scene](multilayer-scene.md): Create complex scenes with multiple layered assets
- [Timed Transitions](timed-transition.md): Handle timing and transitions between scenes

## Effects and Animation

- [Creating Custom Effects](creating-custom-effects.md): Implement custom video effects and animations
- [Text Animation](text-animation.md): Animate text elements with effects and timing

## Audio and Speech

- [Syncing Audio](syncing-audio.md): Synchronize multiple audio tracks with video elements

## Project Management

- [Project Configuration](project-config.md): Configure video project settings and parameters
- [Timeline Management](timeline-management.md): Organize and manage timeline events

## External Integrations (WIP)

Integration examples with external frameworks:

- [Haystack Integration](../integrations/frameworks/haystack.md)
- [LangChain Integration](../integrations/frameworks/langchain.md)
