# Contribuindo

Recebemos contribuições da comunidade para ajudar a melhorar e expandir este framework de geração de vídeo de código aberto.

## Começando

1. Faça um fork e clone o repositório
2. Instale o [uv](https://docs.astral.sh/uv/getting-started/installation/)
3. Execute os seguintes comandos:
   - `make install` para instalar as dependências
   - `make test` para executar os testes unitários
   - `make format` para formatar o código
   - `make lint` para analisar o código
   - `make docs` para gerar a documentação
   - `make docs-serve` para servir a documentação localmente

Agora você está pronto para começar a contribuir!

## Enviando Alterações

1. Certifique-se que todos os testes passam e o código está formatado corretamente
2. Atualize a documentação conforme necessário
3. Envie suas alterações e crie um pull request com:
    - Descrição clara das alterações
    - Propósito e motivação
    - Quaisquer issues relacionadas
4. Responda ao feedback de revisão prontamente

## Reportando Issues

Se você encontrar um bug ou tiver uma sugestão de funcionalidade:

1. Verifique primeiro as issues existentes
2. Abra uma nova issue com:
    - Descrição clara
    - Passos para reproduzir (para bugs)
    - Comportamento esperado vs real
    - Detalhes do ambiente
    - Screenshots/exemplos se aplicável

## Diretrizes de Desenvolvimento

- Escreva código claro e documentado
- Siga o estilo de código existente
- Adicione testes para novas funcionalidades
- Mantenha PRs focados e atômicos
- Documente mudanças significativas

## Licença

Ao contribuir para o Mosaico, você concorda que suas contribuições serão licenciadas sob a licença do projeto (veja [arquivo LICENSE](https://github.com/folhasp/mosaico/LICENSE.md)).
